Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.steps
Class StepCreator

    java.lang.Object
      org.jbehave.core.steps.StepCreator

    public class StepCreator

extends Object

Nested Class Summary
`static class` | `StepCreator.AbstractStep`
`class` | `StepCreator.FailureStep`
`static class` | `StepCreator.IgnorableStep`
`static class` | `StepCreator.Jsr330Helper` This is a different class, because the @Inject jar may not be in the classpath.
`class` | `StepCreator.ParameterisedStep`
`static class` | `StepCreator.ParameterNotFound`
`static class` | `StepCreator.PendingStep`
`class` | `StepCreator.SuccessStep`

Field Summary
`static UUIDExceptionWrapper` | `NO_FAILURE`
`static String` | `PARAMETER_TABLE_END`
`static String` | `PARAMETER_TABLE_START`
`static String` | `PARAMETER_VALUE_END`
`static String` | `PARAMETER_VALUE_NEWLINE`
`static String` | `PARAMETER_VALUE_START`

Constructor Summary
`StepCreator(Class<?> stepsType, InjectableStepsFactory stepsFactory, ParameterConverters parameterConverters, ParameterControls parameterControls, StepMatcher stepMatcher, StepMonitor stepMonitor)`

Method Summary
`Step` | `createAfterStepUponOutcome(Method method, AfterScenario.Outcome outcome, Meta storyAndScenarioMeta)`
`Step` | `createBeforeOrAfterStep(Method method, Meta meta)`
`static Step` | `createIgnorableStep(String stepAsString)`
`Step` | `createParametrisedStep(Method method, String stepAsString, String stepWithoutStartingWord, Map<String,String> namedParameters)`
`static Step` | `createPendingStep(String stepAsString, String previousNonAndStep)`
`void` | `doDryRun(boolean dryRun)`
`Map<String,String>` | `matchedParameters(Method method, String stepAsString, String stepWithoutStartingWord, Map<String,String> namedParameters)`
`Object` | `stepsInstance()`
`void` | `useParanamer(com.thoughtworks.paranamer.Paranamer paranamer)`
`void` | `useStepMonitor(StepMonitor stepMonitor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER_TABLE_START

    public static final String PARAMETER_TABLE_START

See Also:
  Constant Field Values

### PARAMETER_TABLE_END

    public static final String PARAMETER_TABLE_END

See Also:
  Constant Field Values

### PARAMETER_VALUE_START

    public static final String PARAMETER_VALUE_START

See Also:
  Constant Field Values

### PARAMETER_VALUE_END

    public static final String PARAMETER_VALUE_END

See Also:
  Constant Field Values

### PARAMETER_VALUE_NEWLINE

    public static final String PARAMETER_VALUE_NEWLINE

See Also:
  Constant Field Values

### NO_FAILURE

    public static final UUIDExceptionWrapper NO_FAILURE

Constructor Detail

### StepCreator

    public StepCreator(Class<?> stepsType,
                       InjectableStepsFactory stepsFactory,
                       ParameterConverters parameterConverters,
                       ParameterControls parameterControls,
                       StepMatcher stepMatcher,
                       StepMonitor stepMonitor)

Method Detail

### useStepMonitor

    public void useStepMonitor(StepMonitor stepMonitor)

### useParanamer

    public void useParanamer(com.thoughtworks.paranamer.Paranamer paranamer)

### doDryRun

    public void doDryRun(boolean dryRun)

### stepsInstance

    public Object stepsInstance()

### createBeforeOrAfterStep

    public Step createBeforeOrAfterStep(Method method,
                                        Meta meta)

### createAfterStepUponOutcome

    public Step createAfterStepUponOutcome(Method method,
                                           AfterScenario.Outcome outcome,
                                           Meta storyAndScenarioMeta)

### matchedParameters

    public Map<String,String> matchedParameters(Method method,
                                                String stepAsString,
                                                String stepWithoutStartingWord,
                                                Map<String,String> namedParameters)

### createParametrisedStep

    public Step createParametrisedStep(Method method,
                                       String stepAsString,
                                       String stepWithoutStartingWord,
                                       Map<String,String> namedParameters)

### createPendingStep

    public static Step createPendingStep(String stepAsString,
                                         String previousNonAndStep)

### createIgnorableStep

    public static Step createIgnorableStep(String stepAsString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.